package registry

import (
	"encoding/json"
	"github.com/odysseus/service-registry/common"
	"testing"
	"time"
)

type demoService struct {
}

func (d demoService) ServiceType() common.ServiceType {
	return common.SERVICE_NODE_MANAGER
}

func (d demoService) Endpoint() string {
	return "http://127.0.0.1:10001"
}

func (d demoService) DetailInfo() (json.RawMessage, error) {
	detail := struct {
		IP          string `json:"ip"`
		WorkerCount int    `json:"worker_count"`
	}{}
	detail.IP = ""
	detail.WorkerCount = 10
	return json.Marshal(detail)
}

func TestRegistry(t *testing.T) {
	r := NewRegistry(RedisConnParam{
		Addr:     "localhost:6379",
		Password: "",
		DbIndex:  0,
	}, demoService{})
	r.Start()
	time.Sleep(time.Second * 5)
	r.Stop()
}
